1. Inbox
Chronox AI API Referance
  • Get Started
    • Introduction
    • Authentication
    • Rate limiting
    • Errors
    • Pagination
    • Campaign
  • Account
    • Get User Details
      GET
    • Get Meta Integration
      GET
    • Get Integrated Channels
      GET
    • Get WABA Catalogs
      GET
  • WhatsApp Templates
    • Getting started
    • Templates
      • Create Whatsapp Template Guide
      • Get Whatsapp Templates
      • Get Whatsapp Template Details
      • Create Whatsapp Template
    • Lookups
      • Get Whatsapp Template Category
      • Get Whatsapp Languages
      • Get Whatsapp Template Type
      • Get Whatsapp Template Interactive Type
      • Get Whatsapp Template Header Type
      • Get Whatsapp Template Button Type
      • Get Whatsapp Template Dynamic Variable Type
  • Messaging
    • Getting started
    • Send Whatsapp Message
      POST
    • Send Whatsapp Template
      POST
    • Send Canned Response
      POST
  • Inbox
    • Get Inbox Data
      GET
    • Get Thread Details
      GET
    • Update Thread Archive
      PUT
    • Assign Thread Tags
      PUT
    • Assign Thread Status
      PUT
    • Update Thread Notes
      PUT
    • Get Canned Responses
      GET
    • Get Tags
      GET
    • Get Thread Status Types
      GET
  • Contact List
    • Getting started
    • Get Contact List
    • Create Contact List
    • Update Contact List
    • Update Contact List Status
    • Delete Contact List
  • Contacts
    • Getting started
    • Get Contacts
    • Create Contacts
    • Update Contact
    • Delete Contact
    • Delete Contact Copy
  • Tags and fields
    • Contact Tags
      • Get contact tags
      • Create contact tags
      • Update contact tag
      • Delete contact tag
    • Contact Fields
      • Get contact fields
      • Create contact fields
      • Update contact field
      • Delete contact field
  • Campaign
    • Getting Started
    • Campaign APIs
      • Create campaign
      • Get campaign
      • Update campaign
      • Delete campaign
      • Run campaign
      • Pause campaign
      • Resume campaign
      • Archive campaign
      • Get campaign Stats
    • Lookup
      • Get Statuses
      • Get campaign execution statuses
      • Get campaign contact filter types
      • Get campaign message types
      • Get contact field types
      • Get template variable types
      • Get country codes
  • Whatsapp Flow
    • Get Whatsapp flows
  • Tickets
    • Getting started
    • Get Tickets
    • Create Ticket
    • Update Ticket
    • Get Ticket Statuses
    • Get Agents
  • Organization Teams
    • Get Organization Teams
  • Template Library
    • Get Template Library
    • Get Template Drafts
  • CRM
    • Import leads (single or bulk)
    • List leads
    • Get lead detail
  • Schemas
    • Thread Execution Data
    • LeadImportField
    • LeadImportContact
    • Single lead
    • LeadImportBulkLead
    • Bulk (leads[])
    • LeadImportWarning
    • Single result
    • Bulk result
    • ApiError
    • ErrorEnvelope
    • Lead detail
    • Lead list row
    • Lead list
  1. Inbox

Get Thread Details

Developing
GET
/thread/get-thread-details

Request

Query Params

Header Params

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.chronox.ai/api/thread/get-thread-details?integrated_channel_id=undefined&user_wa_phone_number=undefined&flag_debugging=undefined&limit=undefined&offset=undefined' \
--header 'Authorization: Bearer <api-key>'
Response Response Example
{
    "status": true,
    "data": {
        "thread_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "channel_id": 1,
        "channel_name": "WhatsApp",
        "channel_content_type_id": 6,
        "channel_content_type_name": "DM",
        "flag_manual": false,
        "flag_archive": false,
        "channel_group_id": 1,
        "channel_group_name": "Meta",
        "integrated_channel_id": 101,
        "meta_integration_whatsapp_id": "123",
        "thread_last_updated_timestamp": "2026-10-12T10:29:30.879Z",
        "thread_last_activity_inbox_criteria": "2026-10-12T10:26:51.856Z",
        "whatsapp_calling_data": {
            "calling_enabled": true,
            "phone_number_id": "200000000000001",
            "meta_status": "ENABLED",
            "db_synced": true,
            "db_updated": false
        },
        "thread_metadata": [
            {
                "metadata_type_id": "11111111-1111-4111-8111-111111111111",
                "metadata_type_name": "phone_number",
                "metadata_value": null,
                "thread_metadata_timestamp": "2026-09-09T13:25:36.290Z",
                "data_type_name": "number",
                "flag_options": false
            },
            {
                "metadata_type_id": "55555555-5555-4555-8555-555555555555",
                "metadata_type_name": "username",
                "metadata_value": null,
                "thread_metadata_timestamp": "2026-09-09T13:25:36.290Z",
                "data_type_name": "text",
                "flag_options": false
            },
            {
                "metadata_type_id": "44444444-4444-4444-8444-444444444444",
                "metadata_type_name": "whatsapp_bsuid",
                "metadata_value": "IN.1234567890123456",
                "thread_metadata_timestamp": "2026-09-09T13:25:36.290Z",
                "data_type_name": "number",
                "flag_options": false
            },
            {
                "metadata_type_id": "33333333-3333-4333-8333-333333333333",
                "metadata_type_name": "thread_id",
                "metadata_value": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
                "thread_metadata_timestamp": "2026-09-09T13:25:36.290Z",
                "data_type_name": "text",
                "flag_options": false
            },
            {
                "metadata_type_id": "22222222-2222-4222-8222-222222222222",
                "metadata_type_name": "name",
                "metadata_value": "John Doe",
                "thread_metadata_timestamp": "2026-09-09T13:25:36.290Z",
                "data_type_name": "text",
                "flag_options": false
            }
        ],
        "thread_execution_data": [
            {
                "thread_execution_log_id": "99999999-9999-4999-8999-999999999999",
                "thread_chatbot_id": null,
                "user_assignment_id": 1001,
                "chatbot_step_action_id": null,
                "action_type_id": "aaaaaaaa-aaaa-4aaa-8aaa-aaaaaaaaaaaa",
                "action_type_name": "send_WA_DM_template",
                "group_id": null,
                "parent_id": null,
                "step_start_timestamp": "2026-10-12T10:26:50.292Z",
                "step_end_timestamp": "2026-10-12T10:26:51.856Z",
                "execution_status_name": "Completed",
                "execution_status_id": "88888888-8888-4888-8888-888888888888",
                "reason_for_failure": null,
                "parent_thread_execution_log_id": null,
                "user_first_name": "Agent",
                "user_last_name": "Smith",
                "user_email": "agent@example.com",
                "action_execution_data": {
                    "wa_template_id": 25,
                    "wa_template_category_id": 1,
                    "wa_template_category_name": "Marketing",
                    "wa_execution_status_id": "88888888-8888-4888-8888-888888888888",
                    "wa_message_id": "wamid.SAMPLE_MESSAGE_ID",
                    "wa_body_text": "Hello John Doe, it was nice talking with you. Have a nice day. See you soon.",
                    "wa_header_text": null,
                    "wa_footer_text": null,
                    "wa_header_type_id": null,
                    "wa_header_type_name": null,
                    "wa_header_media_chronox_storage_url": null,
                    "wa_header_variable_data": [],
                    "wa_button_data": [],
                    "whatsapp_template_type": {
                        "whatsapp_template_type_id": 1,
                        "name": "Basic"
                    },
                    "whatsapp_message_status": [
                        {
                            "status": "read",
                            "pricing_billable": true,
                            "pricing_model": "PMP",
                            "pricing_category": "marketing",
                            "pricing_type": "regular",
                            "webhook_timestamp": "1791800823",
                            "notes": null
                        },
                        {
                            "status": "delivered",
                            "pricing_billable": true,
                            "pricing_model": "PMP",
                            "pricing_category": "marketing",
                            "pricing_type": "regular",
                            "webhook_timestamp": "1791800815",
                            "notes": null
                        },
                        {
                            "status": "sent",
                            "pricing_billable": true,
                            "pricing_model": "PMP",
                            "pricing_category": "marketing",
                            "pricing_type": "regular",
                            "webhook_timestamp": "1791800813",
                            "notes": null
                        }
                    ]
                }
            }
        ],
        "pagination": {
            "offset": 0,
            "limit": 50,
            "total_records": "1"
        },
        "thread_tags": [],
        "thread_notes": [],
        "thread_ticket_data": []
    }
}
Modified at 2026-09-17 05:55:19
Previous
Get Inbox Data
Next
Update Thread Archive
Built with